Package: org.codehaus.groovy.antlr

## [Java] Class AntlrASTProcessSnippets

- org.codehaus.groovy.antlr.AntlrASTProcessSnippets

- All Implemented Interfaces and Traits:
    AntlrASTProcessor

      public class AntlrASTProcessSnippets
      extends Object

  Process to decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

  Authors:
    Jeremy Rayner

- - ### Constructor Summary

    Constructors
    Constructor and description
    `AntlrASTProcessSnippets ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `antlr.collections.AST` | `process(antlr.collections.AST t)` decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public AntlrASTProcessSnippets()

  - ### Method Detail

    - #### public antlr.collections.AST process(antlr.collections.AST t)

      decorate antlr AST with ending line/col info, and if possible the snippet of source from the start/end line/col for each node.

      Parameters:
        `t` - the AST to decorate
      Returns:
        the decorated AST